<?php
  /**
   * File Manager Plus
   *
   * @package Digital Downloads Pro
   * @author wojoscripts.com
   * @copyright 2010
   * @version $Id: files.php, v2.00 2011-07-10 10:12:05 gewa Exp $
   */
  if (!defined("_VALID_PHP"))
      die('.دسترسی مستقیم به این محل مجاز نمی باشد');
	  
  require("filemanager/class_fm.php");
  $fm = new Filemanager();
?>
<h1><img src="images/files-lrg.png" alt="" />File Manager Plus</h1>
<p class="info">. در اینجا شما می توانید فایل های خود را مدیریت کند 
<br />. بروی کلید مربوطه  کلیک و سپس فایل خود را انتخاب نمائید، نام مستعار را نوشته و بروی کلید ارسال کلیک نمائید
<br />
<strong>!!! توجه: مطمئن شوید فایلی که به یک محصول فعال اختصاص دارد حذف ننمائید</strong><br /> <strong style="color:red"> <?php echo ini_get('upload_max_filesize');?> </strong> ..اگر به آپلـود فایل با حجم بالاتر نیازمندید، با شرکت میزبان وب خود در میان بگذارید! حداکثر حجم آپلـود فایل</p>
<form action="" method="post" name="admin_form" id="admin_form">
  <table cellpadding="0" cellspacing="0" class="display" id="dataholder">
    <thead>
      <tr>
        <th colspan="3" class="right">&nbsp;مشاهده همه فایل هـا</th>
      </tr>
    </thead>
    <tfoot style="direction:ltr;">
      <tr>
        <td width="320">
		<input name="newfile" id="imgfile" type="file" size="40" class="fileinput" />
		</td>
    <td align="center"><input name="alias" type="text" class="inputbox" size="45" /> <?php echo required();?> : نام مستعار فایل</td>
    <td align="right"><input name="dofile" id="fileupload" type="submit" value="آپلـود" class="button-alt-sml"/></td>
      </tr>
    </tfoot>
    <tbody>
      <tr>
        <td colspan="3" style="padding:0">
        <div id="maindata">
 		  <?php $fm->renderThumbs();?>
        </div></td>
      </tr>
    </tbody>
  </table>
</form>
<div id="dialog-confirm-single-delete" style="display:none;" title="حذف">
  <p style="font-family:tahoma; font-size:13px; text-align:right;">
  <span class="ui-icon ui-icon-alert" style="float:right; margin:5px 2px 10px 7px;"></span>
  آیا از حذف این گزینـه اطمینان دارید ؟<br />
  <strong style="font-family:tahoma; font-size:12px; padding-top:8px; float:left;">!!!
  امکان بازگرداندن وجود ندارد</strong></p>
</div>
<div id="dialog-confirm-single-edit" style="display:none;" title="ویرایش نام مستعار فایل">
  <p style="font-family:tahoma; font-size:11px; text-align:right;">
  <span class="ui-icon ui-icon-info" style="float:right; margin:5px 2px 10px 7px;"></span>
  :در اینجا می توانید نام مستعار جدید، برای فایل اختصاص دهید. لطفا نام جدید را وارد نمائید<br /><br />
  <input name="falias" type="text" id="falias" class="inputbox" size="45" /></p>
</div>
<script type="text/javascript">
// <![CDATA[
  $("#imgfile").filestyle({
      image: "images/file-button.png",
      imageheight: 29,
      imagewidth: 75,
      width: 230
  });

  function showLoader() {
      $('#loader').fadeIn(200);
  }

  function hideLoader() {
      $('#loader').fadeOut(200);
  };

  function loadList() {
      showLoader();
      $.ajax({
          type: 'post',
          url: "filemanager/controller.php",
          data: 'action=1',
          cache: false,
          success: function (html) {
              $("#maindata").html(html);
          }
      });
      hideLoader();
  }
  $(document).ready(function () {
      // Delete File
      $('a.del-single').live('click', function () {
          var parent = $(this).parent().parent();
          var title = $(this).attr('rel');
          $("#dialog-confirm-single-delete").data({
              'parent': parent,
              'title': title
          }).dialog('open');
          return false;
      });

      $("#dialog-confirm-single-delete").dialog({
          resizable: false,
          bgiframe: true,
          autoOpen: false,
          width: 400,
          height: "auto",
          zindex: 9998,
          modal: false,
          buttons: {
              'حـذف': function () {
                  var parent = $(this).data('parent');
                  var title = $(this).data('title');
                  $.ajax({
                      type: 'post',
                      url: "filemanager/controller.php",
                      data: 'action=delete&name=' + title,
                      beforeSend: function () {
                          parent.animate({
                              'backgroundColor': '#FFBFBF'
                          }, 400);
                      },
                      success: function (res) {
                          parent.fadeOut(400, function () {
                              parent.remove();
                          });
						  $("html, body").animate({
							  scrollTop: 0
						  }, 600);
                          $("#msgholder").html(res);
						  setTimeout(function () {
							  $(loadList()).fadeIn("slow");
						  }, 2500);
                      }
                  });

                  $(this).dialog('close');
              },
              'انصـراف': function () {
                  $(this).dialog('close');
              }
          }
      });

      // Edit File
      $('a.edit-single').live('click', function () {
          var parent = $(this).parent().parent();
          var title = $(this).attr('rel');
          $("#dialog-confirm-single-edit").data({
              'parent': parent,
              'title': title
          }).dialog('open');
          return false;
      });

      $("#dialog-confirm-single-edit").dialog({
          resizable: false,
          bgiframe: true,
          autoOpen: false,
          width: 400,
          height: "auto",
          zindex: 9998,
          modal: false,
          buttons: {
              'تغییـر نـام': function () {
                  var parent = $(this).data('parent');
                  var title = $(this).data('title');
				  var alias = $('#falias').attr('value');
                  $.ajax({
                      type: 'post',
                      url: "filemanager/controller.php",
                      data: 'action=rename&falias=' + alias + '&name=' + title,
                      beforeSend: function () {
                          parent.animate({
                              'backgroundColor': '#FFBFBF'
                          }, 400);
                      },
                      success: function (res) {
                          parent.animate({
                              'backgroundColor': '#fff'
                          }, 400);
						  $("html, body").animate({
							  scrollTop: 0
						  }, 600);
                          $("#msgholder").html(res);
                      }
                  });

                  $(this).dialog('close');
              },
              'انصـراف': function () {
                  $(this).dialog('close');
              }
          }
      });
	  	  
      // File Upload
      $('#fileupload').live('click', function () {
          $('#admin_form').ajaxSubmit({
              target: "#msgholder",
              url: "filemanager/controller.php",
              beforeSubmit: showLoader,
              clearForm: 1,
              data: {
                  action: "upload"
              },
              success: function (res) {
				  $("html, body").animate({
					  scrollTop: 0
				  }, 600);
                  setTimeout(function () {
                      $(loadList()).fadeIn("slow");
                  }, 2500);
              }
          });
          return false;
      });
  });
// ]]>
</script>